/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.koike.simple.btree;

import java.util.Properties;

import org.logical_paradox.common.btree.BtreeAvailableList;
import org.logical_paradox.common.btree.BtreeException;
import org.logical_paradox.common.btree.BtreeFactory;
import org.logical_paradox.common.btree.BtreeFile;
import org.logical_paradox.common.btree.BtreeKey;

/**
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class SimpleBtreeFactory extends BtreeFactory {

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#getProperty()
	 */
	protected Properties getProperty() throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#getFileHandle(java.lang.String)
	 */
	public BtreeFile getFileHandle(String filename) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#getBtreeAvailableList(java.lang.String)
	 */
	public BtreeAvailableList getBtreeAvailableList(String filename) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#newKey(java.lang.Object)
	 */
	public BtreeKey newKey(Object o) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#newKey(byte[])
	 */
	public BtreeKey newKey(byte[] stream) throws BtreeException {
		// TODO 自動生成されたメソッド・スタブ
		return null;
	}

	/* (非 Javadoc)
	 * @see org.logical_paradox.common.btree.BtreeFactory#keyByteSize()
	 */
	public int keyByteSize() {
		// TODO 自動生成されたメソッド・スタブ
		return 0;
	}

}
